Variables

# bemidi.cpp File Reference

Support for BeOS midi. More...

`#include "../stdafx.h"`
`#include "../openttd.h"`
`#include "bemidi.h"`
`#include <MidiSynthFile.h>`

Go to the source code of this file.

## Variables
static BMidiSynthFile | midiSynthFile
| The file we're playing.
static FMusicDriver_BeMidi | iFMusicDriver_BeMidi
| Factory for BeOS' midi player.

## Detailed Description

Support for BeOS midi.

Definition in file bemidi.cpp.

## Variable Documentation

FMusicDriver_BeMidi iFMusicDriver_BeMidi`[static]`

Factory for BeOS' midi player.

Definition at line 23 of file bemidi.cpp.

BMidiSynthFile midiSynthFile`[static]`

The file we're playing.

Definition at line 20 of file bemidi.cpp.

Referenced by MusicDriver_BeMidi::IsSongPlaying(), MusicDriver_BeMidi::PlaySong(), MusicDriver_BeMidi::Stop(), and MusicDriver_BeMidi::StopSong().